CalryOTA Docs
Cancellation policies

Archive a policy that is no longer assigned anywhere

DELETE
/api/v1/cancellation-policies/{id}

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

id*string

Header Parameters

x-calry-tenant-id?string

Tenant (host) whose policies to manage. If not provided, the default tenant is used.

Response Body

application/json

curl -X DELETE "https://example.com/api/v1/cancellation-policies/string"
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "Summer strict",
  "preset": "FLEXIBLE",
  "tiers": [
    {
      "daysBeforeCheckIn": 7,
      "refundPercentage": 50
    }
  ],
  "version": 1,
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
Empty